Package org.apache.uima.resource

# Interface JMSMessagingSpecifier

All Superinterfaces:
  `Cloneable`, `MessagingSpecifier`, `MetaDataObject`, `ResourceServiceSpecifier`, `ResourceSpecifier`, `Serializable`, `XMLizable`

public interface JMSMessagingSpecifier extends MessagingSpecifier

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `defaultInitialContextFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHostInitialContextFactory()`
  Returns the hostInitialContextFactory.
  `String`
  `getHostProviderURL()`
  Returns the hostProviderURL.
  `String`
  `getTargetInitialContextFactory()`
  Returns the targetInitialContextFactory.
  `String`
  `getTargetProviderURL()`
  Returns the targetProviderURL.
  `void`
  `setHostInitialContextFactory(String hostInitialContextFactory)`
  Sets the hostInitialContextFactory.
  `void`
  `setHostProviderURL(String hostProviderURL)`
  Sets the hostProviderURL.
  `void`
  `setTargetInitialContextFactory(String targetInitialContextFactory)`
  Sets the targetInitialContextFactory.
  `void`
  `setTargetProviderURL(String targetProviderURL)`
  Sets the targetProviderURL.

  ### Methods inherited from interface org.apache.uima.resource.MessagingSpecifier

  `getHostAddress, getHostMessagingServer, getHostPassword, getHostUser, getMessagingType, getTargetAddress, getTargetMessagingServer, getTargetPassword, getTargetUser, getTimeout, setHostAddress, setHostMessagingServer, setHostPassword, setHostUser, setMessagingType, setTargetAddress, setTargetMessagingServer, setTargetPassword, setTargetUser, setTimeout`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Field Details

  - ### defaultInitialContextFactory

    static final String defaultInitialContextFactory
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getHostInitialContextFactory

    String getHostInitialContextFactory()
    Returns the hostInitialContextFactory.
    Returns:
      String

  - ### getHostProviderURL

    String getHostProviderURL()
    Returns the hostProviderURL.
    Returns:
      String

  - ### getTargetInitialContextFactory

    String getTargetInitialContextFactory()
    Returns the targetInitialContextFactory.
    Returns:
      String

  - ### getTargetProviderURL

    String getTargetProviderURL()
    Returns the targetProviderURL.
    Returns:
      String

  - ### setHostInitialContextFactory

    void setHostInitialContextFactory(String hostInitialContextFactory)
    Sets the hostInitialContextFactory.
    Parameters:
      `hostInitialContextFactory` - The hostInitialContextFactory to set

  - ### setHostProviderURL

    void setHostProviderURL(String hostProviderURL)
    Sets the hostProviderURL.
    Parameters:
      `hostProviderURL` - The hostProviderURL to set

  - ### setTargetInitialContextFactory

    void setTargetInitialContextFactory(String targetInitialContextFactory)
    Sets the targetInitialContextFactory.
    Parameters:
      `targetInitialContextFactory` - The targetInitialContextFactory to set

  - ### setTargetProviderURL

    void setTargetProviderURL(String targetProviderURL)
    Sets the targetProviderURL.
    Parameters:
      `targetProviderURL` - The targetProviderURL to set